<libglade> libgnome.so: cannot open shared object file

Bug #922514 reported by Colin Law
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
GnuCash
Unknown
Critical
libgnomeui (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

To replicate:
Run gnucash for the first time
Request to Create a new set of accounts on welcome dialog
The resulting New Account Heirarchy Setup dialog is blank and in /tmp/gnutrace.trace is
WARN <libglade> Could not load support for `gnome': libgnome.so: cannot open shared object file: No such file or directory

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: gnucash 1:2.4.8-1
ProcVersionSignature: Ubuntu 3.2.0-10.17-generic 3.2.1
Uname: Linux 3.2.0-10-generic i686
ApportVersion: 1.91-0ubuntu1
Architecture: i386
Date: Fri Jan 27 10:21:00 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20111129.1)
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: gnucash
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Revision history for this message
Colin Law (colin-law) wrote :
Revision history for this message
Colin Law (colin-law) wrote :

A workaround it to set LD_LIBRARY_PATH=/usr/lib/libglade/2.0 which is where libgnome.so is to be found.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnucash (Ubuntu):
status: New → Confirmed
Revision history for this message
Norbert (asterix52) wrote :

Confirmed.

* 16:27:26 WARN <libglade> Could not load support for `gnome': libgnome.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
* 16:27:26 WARN <libglade> unknown widget class 'GnomeDruid'
* 16:27:26 WARN <GLib-GObject> /build/buildd/glib2.0-2.31.14/./gobject/gsignal.c:2325: signal `cancel' is invalid for instance `0x37ee410'
* 16:27:26 WARN <GLib-GObject> invalid cast from `GtkLabel' to `GnomeDruid'
* 16:27:26 WARN <GLib-GObject> invalid cast from `GtkLabel' to `GtkContainer'
* 16:27:26 CRIT <Gtk> IA__gtk_container_foreach: assertion `GTK_IS_CONTAINER (container)' failed
* 16:27:26 CRIT <Gtk> IA__gtk_tree_view_set_model: assertion `GTK_IS_TREE_VIEW (tree_view)' failed
* 16:27:26 CRIT <Gtk> IA__gtk_tree_view_append_column: assertion `GTK_IS_TREE_VIEW (tree_view)' failed
* 16:27:26 CRIT <Gtk> IA__gtk_tree_view_append_column: assertion `GTK_IS_TREE_VIEW (tree_view)' failed
* 16:27:26 CRIT <Gtk> IA__gtk_tree_view_append_column: assertion `GTK_IS_TREE_VIEW (tree_view)' failed
* 16:27:26 CRIT <Gtk> IA__gtk_tree_view_get_selection: assertion `GTK_IS_TREE_VIEW (tree_view)' failed
* 16:27:26 WARN <GLib-GObject> invalid (NULL) pointer instance
* 16:27:26 CRIT <GLib-GObject> g_signal_connect_data: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
* 16:27:30 CRIT <GLib> g_hash_table_foreach: assertion `version == hash_table->version' failed

After this the programm works as expected:

export LD_LIBRARY_PATH=/usr/lib/libglade/2.0

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

linking /usr/lib/<gnu triplet>/libglade -> /usr/lib/libglade makes gnucash work normally. So it seems like libraries that depend on libglade need to be multiarchified, in this case at least libgnomeui.

affects: gnucash (Ubuntu) → libgnomeui (Ubuntu)
Changed in libgnomeui (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in gnucash:
importance: Unknown → Critical
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgnomeui - 2.24.5-2ubuntu1

---------------
libgnomeui (2.24.5-2ubuntu1) precise; urgency=low

  * Build using multiarch. (LP: #922514)
 -- Timo Aaltonen <email address hidden> Thu, 09 Feb 2012 09:40:51 +0200

Changed in libgnomeui (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Norbert (asterix52) wrote :

Bug fixed!

Revision history for this message
Colin Law (colin-law) wrote :

Fixed for me too. Thanks guys.

Revision history for this message
Tom Ellis (tellis) wrote :

Thanks for multi-arch'ing the libgnomeui package.

I notice that libgnomeui-common was not marked "Multi-Arch: foreign", so when installing the i386 version on an x86_64 system the install fails.

Was this intentional or is it a bug?

Revision history for this message
Tom Ellis (tellis) wrote :

Should I open a new bug about this? or could this one be re-opened?

Revision history for this message
Steve Langasek (vorlon) wrote :

I've uploaded libgnomeui with this fix.

Chris J Arges (arges)
Changed in libgnomeui (Ubuntu Precise):
status: New → Fix Released
importance: Undecided → High
milestone: none → ubuntu-12.04.1
Chris J Arges (arges)
Changed in libgnomeui (Ubuntu Precise):
assignee: nobody → Adam Stokes (adam-stokes)
Changed in libgnomeui (Ubuntu Precise):
assignee: Adam Stokes (adam-stokes) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.